Skip to main content
GET
/
executions
/
{id}
/
execution_step_logs
List execution step logs for an execution
curl --request GET \
  --url https://api.pocketflows.com/executions/{id}/execution_step_logs \
  --header 'Authorization: Basic <encoded-value>'
{
  "execution_step_logs": [
    {
      "id": "<string>",
      "step": "<string>",
      "outcome": "<string>",
      "reason": "<string>",
      "sent_email": "<string>",
      "sent_sms_message": "<string>",
      "sent_custom_step": "<string>",
      "created_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the execution

Response

200 - application/json

A dictionary with an execution_step_logs property

execution_step_logs
The Execution Step Log object · object[]
required

An array of execution step logs